CoCoA - Feature #247

Use gmp default location if possible
01 Oct 2012 12:40 - Christof Soeger

Status: Closed Start date: 17 Sep 2012
Priority: Normal Due date:

Assignee: Christof Soeger % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 12.10 hours
Description

The configure script currently wants to get the path to the gmp headers and libraries. If there is a system default installation this is not
necessary and has even some drawbacks (from my point of view):

1. The user has to specify the path if more than one lib is found (e.g. the .a and .so).
2. The path is in the autoconf.mk and removes the control of which library to use from the system.
3. It makes the compile commands longer (ok, not such a point).

| think if there is a default installation it should work without giving the path explicitly. So | made a gmp-try-default.sh and updated the
configure. If no gmp path was given it will now try to compile small test programs for gmp and gmpxx and only give "-Ilgmp" / "-lgmpxx
-lgmp" as parameters. If the test for gmp was successful it will be used. Otherwise it goes back to the "old way" with the gmp-find
script.

This should improve the usability of the script and still offers all possibilities.

Related issues:

Related to CoCoA - Feature #214: gmp header location assumption in configure ... Closed 01 Aug 2012
Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012
Related to CoCoALib - Feature #255: Use BOOST lib default location if possible Closed 08 Oct 2012
History

#1 - 01 Oct 2012 12:50 - John Abbott

Waiting for confirmation from John and Anna that Christof's new script works on their computers. Will close if all works properly.

#2 - 04 Oct 2012 12:58 - John Abbott
- Status changed from New to Resolved

- % Done changed from 70 to 90
#3 - 08 Oct 2012 16:23 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
